Package opennlp.tools.parser.chunking

## Class ParserEventStream

- java.lang.Object
- - opennlp.tools.util.AbstractEventStream<Parse>
  - - opennlp.tools.parser.AbstractParserEventStream
    - - opennlp.tools.parser.chunking.ParserEventStream

- All Implemented Interfaces:
    `AutoCloseable`, `ObjectStream<Event>`

      public class ParserEventStream
      extends AbstractParserEventStream

  Wrapper class for one of four `shift-reduce parser` event streams. The particular `event type` is specified at construction.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParserEventStream​(ObjectStream<Parse> d, HeadRules rules, ParserEventTypeEnum etype)` | Instantiates a `ParserEventStream` based on the specified data stream of the `type` using `head rules`.
    `ParserEventStream​(ObjectStream<Parse> d, HeadRules rules, ParserEventTypeEnum etype, Dictionary dict)` | Instantiates a `ParserEventStream` based on the specified data stream of the `type` using `head rules`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Parse[]` | `reduceChunks​(Parse[] chunks, int ci, Parse parent)` |

    - ### Methods inherited from class opennlp.tools.parser.AbstractParserEventStream

      `getInitialChunks`

    - ### Methods inherited from class opennlp.tools.util.AbstractEventStream

      `close, read, reset`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParserEventStream

          public ParserEventStream​(ObjectStream<Parse> d,
                                   HeadRules rules,
                                   ParserEventTypeEnum etype,
                                   Dictionary dict)

      Instantiates a `ParserEventStream` based on the specified data stream of the `type` using `head rules`.
      Parameters:
        `d` - A 1-parse-per-line Penn Treebank Style parse.
        `rules` - The `head rules` to use.
        `etype` - The `type` of events desired.
        `dict` - A tri-gram `Dictionary` to reduce feature generation.
      See Also:
        `ParserEventTypeEnum`

    - #### ParserEventStream

          public ParserEventStream​(ObjectStream<Parse> d,
                                   HeadRules rules,
                                   ParserEventTypeEnum etype)

      Instantiates a `ParserEventStream` based on the specified data stream of the `type` using `head rules`.
      Parameters:
        `d` - A 1-parse-per-line Penn Treebank Style parse.
        `rules` - The `head rules` to use.
        `etype` - The `type` of events desired.
      See Also:
        `ParserEventTypeEnum`

  - ### Method Detail

    - #### reduceChunks

          public static Parse[] reduceChunks​(Parse[] chunks,
                                             int ci,
                                             Parse parent)